## linux-gpib-user 4.3.7

=== Makefile ===
#
#  Makefile for ieee488 application suite
#
#  Please don't change this file !
#  Subdirectories will be automagically scanned
#



SUBDIRS = `../util/subdirs`

GPIB_HOME= `(cd ..;pwd)`
MAKE = make GPIB_HOME=$(GPIB_HOME) -C

all: subdirs

subdirs:  
	set -e;for i in $(SUBDIRS); do $(MAKE) $$i ; done

clean:
	set -e;for i in $(SUBDIRS); do $(MAKE) $$i clean; done
	-find . -name "*.o" -exec rm {} \;

install:
	set -e;for i in $(SUBDIRS); do $(MAKE) $$i install; done

rcsput:
	set -e;for i in $(SUBDIRS); do $(MAKE) $$i rcsput; done

rcsget:
	set -e;for i in $(SUBDIRS); do $(MAKE) $$i rcsget; done

## linux-gpib-user 4.3.6

=== debian/changelog ===
linux-gpib-user (4.3.6-2) unstable; urgency=medium

  * d/gbp.conf: Use debian/latest as branchname
  * d/control: Mark packages as Arch: linux-any since they need the kernel module

 -- Matthias Geiger <werdahias@debian.org>  Fri, 03 Oct 2025 13:13:36 +0200

linux-gpib-user (4.3.6-1) experimental; urgency=medium

  * Initial release. (Closes: #1116967)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 03 Oct 2025 13:13:32 +0200

=== debian/control ===
Source: linux-gpib-user
Section: utils
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flex,
 bison,
 python3-dev,
 python3-setuptools,
 docbook-utils,
Standards-Version: 4.7.2
Homepage: https://linux-gpib.sourceforge.io
Vcs-Browser: https://salsa.debian.org/electronics-team/linux-gpib-user
Vcs-Git: https://salsa.debian.org/electronics-team/linux-gpib-user.git

Package: gpib-user-tools
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: gpib hardware support (user tools)
 The Linux GPIB Package provides support for GPIB (IEEE 488) hardware.
 .
 This package contains the userspace tools.

Package: libgpib-dev
Architecture: linux-any
Section: libdevel
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgpib0 (= ${binary:Version}),
Description: gpib hardware support (development library)
 The Linux GPIB Package provides support for GPIB (IEEE 488) hardware.
 .
 This package contains the development headers.

Package: libgpib0
Architecture: linux-any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgpib-bin
Suggests: libgpib-doc
Description: gpib hardware support (shared library)
 The Linux GPIB Package provides support for GPIB (IEEE 488) hardware.
 .
 This package contains the shared library.

Package: libgpib-bin
Architecture: all
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: gpib hardware support (udev helpers)
 The Linux GPIB Package provides support for GPIB (IEEE 488) hardware.
 .
 This package contains the udev helpers.

Package: libgpib-doc
Architecture: all
Section: doc
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: gpib hardware support (library documentation)
 The Linux GPIB Package provides support for GPIB (IEEE 488) hardware.
 .
 This package contains the man pages documenting the library functions.

Package: gpib-user-doc
Architecture: all
Section: doc
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: gpib hardware support (documentation)
 The Linux GPIB Package provides support for GPIB (IEEE 488) hardware.
 .
 This package contains the documentation.

Package: python3-gpib
Architecture: linux-any
Section: python
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: gpib hardware support (python bindings)
 The Linux GPIB Package provides support for GPIB (IEEE 488) hardware.
 .
 This package contains the python bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# hack to stop setuptools from complaining
export PYTHONPATH=../../debian/tmp/usr/lib/python3/dist-packages
export GPIB_PYTHON_VERSION=1.0.0

%:
	dh $@


# Yet more hacks to accommodate the build of the python module
execute_after_dh_auto_install:
	mv debian/tmp/usr/lib/python3/dist-packages/gpib-1.0-*.egg debian/tmp/usr/lib/python3/dist-packages/gpib
	rm -f debian/tmp/usr/lib/python3/dist-packages/easy-install.pth

# Don't use the source package version for the python module
override_dh_gencontrol:
	dh_gencontrol -ppython3-gpib -- -v$(GPIB_PYTHON_VERSION)-$(DEB_VERSION_REVISION)
	dh_gencontrol --remaining-packages

## linux-gpib-user 4.3.7

=== debian/changelog ===
linux-gpib-user (4.3.7-3) unstable; urgency=medium

  * d/control: Mark libgpib-dev as MA:same

 -- Matthias Geiger <werdahias@debian.org>  Mon, 13 Oct 2025 19:19:25 +0200

linux-gpib-user (4.3.7-2) unstable; urgency=medium

  [ Colin Watson ]
  * Use pybuild-plugin-pyproject to build and install Python bindings.
  * Build for all supported Python versions.
  * Add a superficial autopkgtest for the Python bindings.

  [ Matthias Geiger ]
  * d/control: Mark libgpib0 as MA:same
  * gpib-user-tools: Drop obsolete lintian override

 -- Matthias Geiger <werdahias@debian.org>  Tue, 07 Oct 2025 01:27:36 +0200

linux-gpib-user (4.3.7-1) unstable; urgency=medium

  * d/gbp.conf: Disable vcs-tags for now
  * New upstream release
  * d/patches: Rebase for new upstream; delete the ones applied upstream
  * d/rules: Touch dummy changelog to allow build
  * d/control: Depend on docbook-{xml,xls-ns}, xsltproc, opensp to build manpages
  * Add patch to correctly build manpages
  * Adjust patch in install files for manpages
  * d/rules: Bump python-gpib version to 1.0.1

 -- Matthias Geiger <werdahias@debian.org>  Sun, 05 Oct 2025 19:39:03 +0200

linux-gpib-user (4.3.6-3) unstable; urgency=medium

  * d/control: Mark gpib-user-doc, libgpib-doc and libgpib-bin as MA:foreign
  * Add README.Debian detailing usage of the tools

 -- Matthias Geiger <werdahias@debian.org>  Sat, 04 Oct 2025 18:13:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,14 @@
  dh-sequence-python3,
  flex,
  bison,
- python3-dev,
+ pybuild-plugin-pyproject,
+ python3-all-dev,
  python3-setuptools,
  docbook-utils,
+ docbook-xml,
+ docbook-xsl-ns,
+ xsltproc,
+ opensp,
 Standards-Version: 4.7.2
 Homepage: https://linux-gpib.sourceforge.io
 Vcs-Browser: https://salsa.debian.org/electronics-team/linux-gpib-user
@@ -28,6 +33,7 @@
 
 Package: libgpib-dev
 Architecture: linux-any
+Multi-Arch: same
 Section: libdevel
 Depends:
  ${shlibs:Depends},
@@ -40,6 +46,7 @@
 
 Package: libgpib0
 Architecture: linux-any
+Multi-Arch: same
 Section: libs
 Depends:
  ${shlibs:Depends},
@@ -53,6 +60,7 @@
 
 Package: libgpib-bin
 Architecture: all
+Multi-Arch: foreign
 Section: libs
 Depends:
  ${shlibs:Depends},
@@ -64,6 +72,7 @@
 
 Package: libgpib-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${shlibs:Depends},
@@ -75,6 +84,7 @@
 
 Package: gpib-user-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export GPIB_PYTHON_VERSION=1.0.1
export PYBUILD_NAME = gpib

%:
	dh $@

# We'll build the Python bindings ourselves.
override_dh_auto_configure:
	dh_auto_configure -- --disable-python-binding
	dh_auto_configure --buildsystem=pybuild --sourcedirectory=language/python

execute_after_dh_auto_build:
	dh_auto_build --buildsystem=pybuild --sourcedirectory=language/python

execute_after_dh_auto_install:
	dh_auto_install --buildsystem=pybuild --sourcedirectory=language/python

execute_after_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild --sourcedirectory=language/python
	touch ChangeLog

# Don't use the source package version for the python module
override_dh_gencontrol:
	dh_gencontrol -ppython3-gpib -- -v$(GPIB_PYTHON_VERSION)-$(DEB_VERSION_REVISION)
	dh_gencontrol --remaining-packages

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import Gpib, gpib; print(Gpib); print(gpib)" ; done
Depends: python3-all, python3-gpib
Restrictions: allow-stderr, superficial
Features: test-name=python3-import

=== debian/watch ===
Version: 5

Source: https://sf.net/linux-gpib/
Matching-Pattern: linux-gpib-(.*)\.tar\.gz
